Loading...
Searching...
No Matches
dvb_bbscrambler_bb.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2015-2017 Free Software Foundation, Inc.
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_DTV_DVB_BBSCRAMBLER_BB_H
#define INCLUDED_DTV_DVB_BBSCRAMBLER_BB_H
#include <gnuradio/dtv/api.h>
#include <gnuradio/dtv/dvb_config.h>
#include <gnuradio/sync_block.h>
namespace gr {
namespace dtv {
/*!
* \brief Scrambles FEC baseband frames with a PRBS encoder.
* \ingroup dtv
*
* \details
* Input: Variable length FEC baseband frames (BBFRAME). \n
* Output: Scrambled variable length FEC baseband frames (BBFRAME).
*/
class DTV_API dvb_bbscrambler_bb : virtual public gr::sync_block
{
public:
typedef std::shared_ptr<dvb_bbscrambler_bb> sptr;
/*!
* \brief Create a baseband frame scrambler.
*
* \param standard DVB standard (DVB-S2 or DVB-T2).
* \param framesize FEC frame size (normal, medium or short).
* \param rate FEC code rate.
*/
static sptr
make(dvb_standard_t standard, dvb_framesize_t framesize, dvb_code_rate_t rate);
};
} // namespace dtv
} // namespace gr
#endif /* INCLUDED_DTV_DVB_BBSCRAMBLER_BB_H */
gr::dtv::dvb_bbscrambler_bb
Scrambles FEC baseband frames with a PRBS encoder.
Definition dvb_bbscrambler_bb.h:28
gr::dtv::dvb_bbscrambler_bb::sptr
std::shared_ptr< dvb_bbscrambler_bb > sptr
Definition dvb_bbscrambler_bb.h:30
gr::dtv::dvb_bbscrambler_bb::make
static sptr make(dvb_standard_t standard, dvb_framesize_t framesize, dvb_code_rate_t rate)
Create a baseband frame scrambler.
gr::sync_block
synchronous 1:1 input to output with history
Definition sync_block.h:26
dvb_config.h
api.h
DTV_API
#define DTV_API
Definition gr-dtv/include/gnuradio/dtv/api.h:18
gr::dtv
Definition atsc_consts.h:17
gr::dtv::dvb_code_rate_t
dvb_code_rate_t
Definition dvb_config.h:19
gr::dtv::dvb_framesize_t
dvb_framesize_t
Definition dvb_config.h:73
gr::dtv::dvb_standard_t
dvb_standard_t
Definition dvb_config.h:14
gr
GNU Radio logging wrapper.
Definition basic_block.h:29
sync_block.h